const path = require('path');
const { CleanWebpackPlugin } = require('clean-webpack-plugin');

const outputDirectory = 'dist';

const pkg = require('./package.json')

module.exports = {
  entry: {
    index: './src/main.ts'
  },
  output: {
    library: 'fireapp',
    path: path.resolve(__dirname, outputDirectory),
    libraryExport: 'default',
    publicPath: `/fireapp/${pkg.version}/`
  },

  plugins: [new CleanWebpackPlugin()],

  resolve: {
    extensions: ['.ts', '.js']
  },

  module: {
    rules: [
      { parser: { system: false } },
      {
        test: /\.tsx?$/,
        loader: 'babel-loader'
      }
    ]
  }
};
